/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_ATTACH_PROBE_SKEL_H__
#define __TEST_ATTACH_PROBE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_attach_probe {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handle_kprobe;
		struct bpf_program *handle_kprobe_auto;
		struct bpf_program *handle_kretprobe;
		struct bpf_program *handle_kretprobe_auto;
		struct bpf_program *handle_uprobe;
		struct bpf_program *handle_uprobe_byname;
		struct bpf_program *handle_uprobe_byname2;
		struct bpf_program *handle_uretprobe;
		struct bpf_program *handle_uretprobe_byname2;
		struct bpf_program *handle_uretprobe_byname;
	} progs;
	struct {
		struct bpf_link *handle_kprobe;
		struct bpf_link *handle_kprobe_auto;
		struct bpf_link *handle_kretprobe;
		struct bpf_link *handle_kretprobe_auto;
		struct bpf_link *handle_uprobe;
		struct bpf_link *handle_uprobe_byname;
		struct bpf_link *handle_uprobe_byname2;
		struct bpf_link *handle_uretprobe;
		struct bpf_link *handle_uretprobe_byname2;
		struct bpf_link *handle_uretprobe_byname;
	} links;
	struct test_attach_probe__bss {
		int kprobe_res;
		int kprobe2_res;
		int kretprobe_res;
		int kretprobe2_res;
		int uprobe_res;
		int uretprobe_res;
		int uprobe_byname_res;
		int uretprobe_byname_res;
		int uprobe_byname2_res;
		int uretprobe_byname2_res;
	} *bss;

#ifdef __cplusplus
	static inline struct test_attach_probe *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_attach_probe *open_and_load();
	static inline int load(struct test_attach_probe *skel);
	static inline int attach(struct test_attach_probe *skel);
	static inline void detach(struct test_attach_probe *skel);
	static inline void destroy(struct test_attach_probe *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_attach_probe__destroy(struct test_attach_probe *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_attach_probe__create_skeleton(struct test_attach_probe *obj);

static inline struct test_attach_probe *
test_attach_probe__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_attach_probe *obj;
	int err;

	obj = (struct test_attach_probe *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_attach_probe__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_attach_probe__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_attach_probe *
test_attach_probe__open(void)
{
	return test_attach_probe__open_opts(NULL);
}

static inline int
test_attach_probe__load(struct test_attach_probe *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_attach_probe *
test_attach_probe__open_and_load(void)
{
	struct test_attach_probe *obj;
	int err;

	obj = test_attach_probe__open();
	if (!obj)
		return NULL;
	err = test_attach_probe__load(obj);
	if (err) {
		test_attach_probe__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_attach_probe__attach(struct test_attach_probe *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_attach_probe__detach(struct test_attach_probe *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_attach_probe__elf_bytes(size_t *sz);

static inline int
test_attach_probe__create_skeleton(struct test_attach_probe *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_attach_probe";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "test_att.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 10;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_kprobe";
	s->progs[0].prog = &obj->progs.handle_kprobe;
	s->progs[0].link = &obj->links.handle_kprobe;

	s->progs[1].name = "handle_kprobe_auto";
	s->progs[1].prog = &obj->progs.handle_kprobe_auto;
	s->progs[1].link = &obj->links.handle_kprobe_auto;

	s->progs[2].name = "handle_kretprobe";
	s->progs[2].prog = &obj->progs.handle_kretprobe;
	s->progs[2].link = &obj->links.handle_kretprobe;

	s->progs[3].name = "handle_kretprobe_auto";
	s->progs[3].prog = &obj->progs.handle_kretprobe_auto;
	s->progs[3].link = &obj->links.handle_kretprobe_auto;

	s->progs[4].name = "handle_uprobe";
	s->progs[4].prog = &obj->progs.handle_uprobe;
	s->progs[4].link = &obj->links.handle_uprobe;

	s->progs[5].name = "handle_uprobe_byname";
	s->progs[5].prog = &obj->progs.handle_uprobe_byname;
	s->progs[5].link = &obj->links.handle_uprobe_byname;

	s->progs[6].name = "handle_uprobe_byname2";
	s->progs[6].prog = &obj->progs.handle_uprobe_byname2;
	s->progs[6].link = &obj->links.handle_uprobe_byname2;

	s->progs[7].name = "handle_uretprobe";
	s->progs[7].prog = &obj->progs.handle_uretprobe;
	s->progs[7].link = &obj->links.handle_uretprobe;

	s->progs[8].name = "handle_uretprobe_byname2";
	s->progs[8].prog = &obj->progs.handle_uretprobe_byname2;
	s->progs[8].link = &obj->links.handle_uretprobe_byname2;

	s->progs[9].name = "handle_uretprobe_byname";
	s->progs[9].prog = &obj->progs.handle_uretprobe_byname;
	s->progs[9].link = &obj->links.handle_uretprobe_byname;

	s->data = (void *)test_attach_probe__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_attach_probe__elf_bytes(size_t *sz)
{
	*sz = 5760;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\x40\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x15\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6b\x70\x72\
\x6f\x62\x65\0\x6b\x70\x72\x6f\x62\x65\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\
\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x6b\x72\x65\x74\x70\x72\x6f\
\x62\x65\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x5f\x5f\x73\x33\x39\x30\x78\
\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x75\x70\x72\x6f\x62\
\x65\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\0\x75\x72\x65\x74\x70\x72\x6f\x62\
\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x72\
\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\x32\0\x2e\x62\x73\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x61\x74\x74\x61\x63\x68\x5f\x70\x72\x6f\
\x62\x65\x2e\x63\0\x4c\x42\x42\x38\x5f\x32\0\x68\x61\x6e\x64\x6c\x65\x5f\x6b\
\x70\x72\x6f\x62\x65\0\x6b\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x68\x61\x6e\
\x64\x6c\x65\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x61\x75\x74\x6f\0\x6b\x70\x72\x6f\
\x62\x65\x32\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x72\x65\x74\x70\
\x72\x6f\x62\x65\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x68\
\x61\x6e\x64\x6c\x65\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x61\x75\x74\
\x6f\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x32\x5f\x72\x65\x73\0\x68\x61\x6e\
\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\0\x75\x70\x72\x6f\x62\x65\x5f\x72\x65\
\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\0\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\
\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\0\x75\x70\x72\x6f\x62\x65\
\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x65\x73\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\0\x75\x72\x65\x74\
\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x65\x73\0\x68\x61\x6e\
\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\0\x75\
\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\x65\x73\0\x68\x61\
\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\
\x6d\x65\x32\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\
\x32\x5f\x72\x65\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x6b\
\x70\x72\x6f\x62\x65\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\x2f\x5f\x5f\x73\
\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\
\x72\x65\x6c\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\0\x2e\x72\x65\x6c\x6b\x72\x65\
\x74\x70\x72\x6f\x62\x65\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\
\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\
\0\x2e\x72\x65\x6c\x75\x72\x65\x74\x70\x72\x6f\x62\x65\0\x2e\x72\x65\x6c\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\
\x2f\x65\x78\x65\x3a\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\x32\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xa4\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x07\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\0\0\0\x07\0\0\0\0\0\
\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\xbf\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x30\0\0\0\xcd\x11\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xd8\x12\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\xeb\x11\0\0\x0a\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\x04\0\0\0\xf7\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\
\x01\x08\x11\0\0\x0a\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\x01\x16\x12\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\x01\x2c\x11\0\0\x0a\0\0\0\0\0\0\0\
\x0c\0\0\0\0\0\0\0\x04\0\0\x01\x3b\x12\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x30\0\0\x01\x49\x11\0\0\x0a\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\x01\x54\
\x12\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\x01\x65\x11\0\0\x0a\0\0\0\0\
\0\0\0\x14\0\0\0\0\0\0\0\x04\0\0\x01\x73\x12\0\0\x07\0\0\0\0\0\0\0\x30\0\0\0\0\
\0\0\0\x30\0\0\x01\x88\x11\0\0\x0a\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x04\0\0\x01\
\x9a\x12\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\x01\xb2\x11\0\0\x0a\0\0\
\0\0\0\0\0\x1c\0\0\0\0\0\0\0\x04\0\0\x01\xc7\x12\0\0\x07\0\0\0\0\0\0\0\x60\0\0\
\0\0\0\0\0\x40\0\0\x01\xdd\x11\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x04\0\0\
\x01\xf0\x12\0\0\x08\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x30\0\0\x02\x09\x11\0\0\
\x0a\0\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\x04\0\0\x02\x1f\x11\0\0\x0b\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x01\
\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x0b\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x02\x63\
\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb4\x20\0\0\0\0\0\x16\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x03\x63\x12\0\
\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb4\x20\0\0\0\0\0\x05\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x79\x11\0\x28\0\0\0\0\x56\x10\0\x04\0\0\0\x01\x18\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xb4\x20\0\0\0\0\0\x07\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x04\x63\x12\0\0\
\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb4\x20\0\0\0\0\0\x08\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x20\0\0\0\0\0\x06\x63\x12\0\0\0\0\0\
\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x0f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x13\0\
\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x70\0\0\0\x1b\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x1d\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\
\x02\x38\0\0\x02\x38\0\0\x04\x0f\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\x01\x07\0\0\
\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x09\0\0\0\x01\0\0\0\x0d\x01\0\0\
\0\0\0\0\x04\x01\0\0\x20\0\0\0\x11\x0c\0\0\x01\0\0\0\x03\0\0\0\x1f\x0c\0\0\x01\
\0\0\0\x03\0\0\0\x32\x0c\0\0\x01\0\0\0\x03\0\0\0\x43\x0c\0\0\x01\0\0\0\x03\0\0\
\0\x59\x0c\0\0\x01\0\0\0\x03\0\0\0\x67\x0c\0\0\x01\0\0\0\x03\0\0\0\x78\x0c\0\0\
\x01\0\0\0\x03\0\0\0\x8d\x0c\0\0\x01\0\0\0\x03\0\0\0\xa5\x0c\0\0\x01\0\0\0\x03\
\0\0\0\xbb\x0c\0\0\x01\0\0\0\x03\0\0\0\xd4\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\xdf\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xeb\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\
\0\xf9\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\x01\x08\x0e\0\0\0\0\0\0\x04\0\0\0\x01\
\0\0\x01\x13\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\x01\x21\x0e\0\0\0\0\0\0\x04\0\0\
\0\x01\0\0\x01\x33\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\x01\x48\x0e\0\0\0\0\0\0\
\x04\0\0\0\x01\0\0\x01\x5b\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\x01\x71\x01\0\0\0\
\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x1b\0\0\0\x04\
\0\0\x01\x76\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x01\x8a\x0e\0\0\0\0\0\0\x1a\0\0\
\0\x01\0\0\x03\x7c\x0f\0\0\x0a\0\0\0\x28\0\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\0\x10\
\0\0\0\x04\0\0\0\x04\0\0\0\x11\0\0\0\x08\0\0\0\x04\0\0\0\x12\0\0\0\x0c\0\0\0\
\x04\0\0\0\x13\0\0\0\x10\0\0\0\x04\0\0\0\x14\0\0\0\x14\0\0\0\x04\0\0\0\x15\0\0\
\0\x18\0\0\0\x04\0\0\0\x16\0\0\0\x1c\0\0\0\x04\0\0\0\x17\0\0\0\x20\0\0\0\x04\0\
\0\0\x18\0\0\0\x24\0\0\0\x04\0\0\x03\x81\x0f\0\0\x01\0\0\0\x04\0\0\0\x1c\0\0\0\
\0\0\0\0\x04\0\x70\x74\x5f\x72\x65\x67\x73\0\x63\x74\x78\0\x69\x6e\x74\0\x68\
\x61\x6e\x64\x6c\x65\x5f\x6b\x70\x72\x6f\x62\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\
\x6b\x70\x72\x6f\x62\x65\x5f\x61\x75\x74\x6f\0\x68\x61\x6e\x64\x6c\x65\x5f\x6b\
\x72\x65\x74\x70\x72\x6f\x62\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x6b\x72\x65\x74\
\x70\x72\x6f\x62\x65\x5f\x61\x75\x74\x6f\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\
\x72\x6f\x62\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\
\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\
\x6d\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\
\x62\x79\x6e\x61\x6d\x65\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\
\x5f\x62\x79\x6e\x61\x6d\x65\x32\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\
\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\0\x6b\x70\x72\x6f\x62\x65\
\x5f\x72\x65\x73\0\x6b\x70\x72\x6f\x62\x65\x32\x5f\x72\x65\x73\0\x6b\x72\x65\
\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\
\x32\x5f\x72\x65\x73\0\x75\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x75\x72\x65\
\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\
\x6e\x61\x6d\x65\x5f\x72\x65\x73\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\
\x79\x6e\x61\x6d\x65\x5f\x72\x65\x73\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\
\x61\x6d\x65\x32\x5f\x72\x65\x73\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\
\x79\x6e\x61\x6d\x65\x32\x5f\x72\x65\x73\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x32\x32\x39\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x32\x32\x39\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\
\x61\x74\x74\x61\x63\x68\x5f\x70\x72\x6f\x62\x65\x2e\x63\0\x09\x6b\x70\x72\x6f\
\x62\x65\x5f\x72\x65\x73\x20\x3d\x20\x31\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x30\x3b\0\x09\x6b\x70\x72\x6f\x62\x65\x32\x5f\x72\x65\x73\x20\x3d\x20\x31\x31\
\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x4b\x50\x52\x4f\x42\x45\x28\x68\x61\x6e\
\x64\x6c\x65\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x61\x75\x74\x6f\x29\0\x09\x6b\x72\
\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\x20\x3d\x20\x32\x3b\0\x09\x6b\x72\
\x65\x74\x70\x72\x6f\x62\x65\x32\x5f\x72\x65\x73\x20\x3d\x20\x32\x32\x3b\0\x69\
\x6e\x74\x20\x42\x50\x46\x5f\x4b\x52\x45\x54\x50\x52\x4f\x42\x45\x28\x68\x61\
\x6e\x64\x6c\x65\x5f\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x61\x75\x74\x6f\
\x29\0\x09\x75\x70\x72\x6f\x62\x65\x5f\x72\x65\x73\x20\x3d\x20\x33\x3b\0\x09\
\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x65\x73\x20\x3d\
\x20\x35\x3b\0\x09\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\x20\x73\x69\
\x7a\x65\x20\x3d\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x31\x28\
\x63\x74\x78\x29\x3b\0\x09\x69\x66\x20\x28\x73\x69\x7a\x65\x20\x3d\x3d\x20\x31\
\x29\0\x09\x09\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\
\x65\x73\x20\x3d\x20\x37\x3b\0\x09\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x72\
\x65\x73\x20\x3d\x20\x34\x3b\0\x09\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\
\x79\x6e\x61\x6d\x65\x32\x5f\x72\x65\x73\x20\x3d\x20\x38\x3b\0\x09\x75\x72\x65\
\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x65\x73\x20\x3d\
\x20\x36\x3b\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6b\x70\x72\x6f\
\x62\x65\0\x6b\x70\x72\x6f\x62\x65\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\
\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x6b\x72\x65\x74\x70\x72\x6f\x62\
\x65\0\x6b\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\
\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x75\x70\x72\x6f\x62\x65\
\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\
\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x72\x69\
\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\x32\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\
\0\0\x8c\0\0\0\x8c\0\0\x01\x9c\0\0\x02\x28\0\0\0\0\0\0\0\x08\0\0\x03\x89\0\0\0\
\x01\0\0\0\0\0\0\0\x05\0\0\x03\x90\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\x03\xad\0\0\
\0\x01\0\0\0\0\0\0\0\x07\0\0\x03\xb7\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\x03\xd7\0\
\0\0\x03\0\0\0\0\0\0\0\x09\0\0\0\x30\0\0\0\x0b\0\0\0\x60\0\0\0\x0d\0\0\x03\xde\
\0\0\0\x02\0\0\0\0\0\0\0\x0a\0\0\0\x30\0\0\0\x0e\0\0\x03\xe8\0\0\0\x01\0\0\0\0\
\0\0\0\x0c\0\0\0\x10\0\0\x03\x89\0\0\0\x02\0\0\0\0\0\0\x01\x93\0\0\x02\x10\0\0\
\x60\x0d\0\0\0\x20\0\0\x01\x93\0\0\x02\x21\0\0\x64\x02\0\0\x03\x90\0\0\0\x02\0\
\0\0\0\0\0\x01\x93\0\0\x02\x2c\0\0\x7c\x0e\0\0\0\x20\0\0\x01\x93\0\0\x02\x3f\0\
\0\x74\x05\0\0\x03\xad\0\0\0\x02\0\0\0\0\0\0\x01\x93\0\0\x02\x62\0\0\x98\x10\0\
\0\0\x20\0\0\x01\x93\0\0\x02\x21\0\0\x9c\x02\0\0\x03\xb7\0\0\0\x02\0\0\0\0\0\0\
\x01\x93\0\0\x02\x76\0\0\xb4\x11\0\0\0\x20\0\0\x01\x93\0\0\x02\x8c\0\0\xac\x05\
\0\0\x03\xd7\0\0\0\x08\0\0\0\0\0\0\x01\x93\0\0\x02\xb5\0\0\xd0\x0d\0\0\0\x20\0\
\0\x01\x93\0\0\x02\x21\0\0\xd4\x02\0\0\0\x30\0\0\x01\x93\0\0\x02\xc6\0\x01\x08\
\x14\0\0\0\x50\0\0\x01\x93\0\0\x02\x21\0\x01\x0c\x02\0\0\0\x60\0\0\x01\x93\0\0\
\x02\xde\0\x01\x44\x16\0\0\0\x68\0\0\x01\x93\0\0\x03\x07\0\x01\x50\x06\0\0\0\
\x70\0\0\x01\x93\0\0\x03\x17\0\x01\x54\x16\0\0\0\x90\0\0\x01\x93\0\0\x02\x21\0\
\x01\x58\x02\0\0\x03\xde\0\0\0\x04\0\0\0\0\0\0\x01\x93\0\0\x03\x31\0\0\xec\x10\
\0\0\0\x20\0\0\x01\x93\0\0\x02\x21\0\0\xf0\x02\0\0\0\x30\0\0\x01\x93\0\0\x03\
\x45\0\x01\x70\x18\0\0\0\x50\0\0\x01\x93\0\0\x02\x21\0\x01\x74\x02\0\0\x03\xe8\
\0\0\0\x02\0\0\0\0\0\0\x01\x93\0\0\x03\x61\0\x01\x28\x17\0\0\0\x20\0\0\x01\x93\
\0\0\x02\x21\0\x01\x2c\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\x02\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x18\0\0\0\0\0\0\x02\xe8\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\
\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x06\x30\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\x35\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x06\x60\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\x3f\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\
\x90\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\x5f\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xc0\0\0\0\0\0\
\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\x01\
\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x60\0\0\0\0\0\0\0\x60\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x01\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xc0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x97\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x07\xf0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\x9c\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x07\xf0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\x02\x28\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xf8\
\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\x02\x33\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x08\0\0\0\
\0\0\0\0\x10\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\
\x54\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x18\0\0\0\0\0\
\0\0\x10\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x62\0\
\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x28\0\0\0\0\0\0\0\
\x10\0\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x86\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x38\0\0\0\0\0\0\0\x30\0\
\0\0\x02\0\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x91\0\0\0\x09\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x68\0\0\0\0\0\0\0\x20\0\0\0\
\x02\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x9f\0\0\0\x09\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x88\0\0\0\0\0\0\0\x10\0\0\0\x02\0\
\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\xca\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x98\0\0\0\0\0\0\x06\x5f\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\xcf\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x0e\xf8\0\0\0\0\0\0\x02\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct test_attach_probe *test_attach_probe::open(const struct bpf_object_open_opts *opts) { return test_attach_probe__open_opts(opts); }
struct test_attach_probe *test_attach_probe::open_and_load() { return test_attach_probe__open_and_load(); }
int test_attach_probe::load(struct test_attach_probe *skel) { return test_attach_probe__load(skel); }
int test_attach_probe::attach(struct test_attach_probe *skel) { return test_attach_probe__attach(skel); }
void test_attach_probe::detach(struct test_attach_probe *skel) { test_attach_probe__detach(skel); }
void test_attach_probe::destroy(struct test_attach_probe *skel) { test_attach_probe__destroy(skel); }
const void *test_attach_probe::elf_bytes(size_t *sz) { return test_attach_probe__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_attach_probe__assert(struct test_attach_probe *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->kprobe_res) == 4, "unexpected size of 'kprobe_res'");
	_Static_assert(sizeof(s->bss->kprobe2_res) == 4, "unexpected size of 'kprobe2_res'");
	_Static_assert(sizeof(s->bss->kretprobe_res) == 4, "unexpected size of 'kretprobe_res'");
	_Static_assert(sizeof(s->bss->kretprobe2_res) == 4, "unexpected size of 'kretprobe2_res'");
	_Static_assert(sizeof(s->bss->uprobe_res) == 4, "unexpected size of 'uprobe_res'");
	_Static_assert(sizeof(s->bss->uretprobe_res) == 4, "unexpected size of 'uretprobe_res'");
	_Static_assert(sizeof(s->bss->uprobe_byname_res) == 4, "unexpected size of 'uprobe_byname_res'");
	_Static_assert(sizeof(s->bss->uretprobe_byname_res) == 4, "unexpected size of 'uretprobe_byname_res'");
	_Static_assert(sizeof(s->bss->uprobe_byname2_res) == 4, "unexpected size of 'uprobe_byname2_res'");
	_Static_assert(sizeof(s->bss->uretprobe_byname2_res) == 4, "unexpected size of 'uretprobe_byname2_res'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_ATTACH_PROBE_SKEL_H__ */
